=== debian/changelog ===
ros-indigo-household-objects-database (0.1.4-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Matei Ciocarlie <matei.ciocarlie@gmail.com>  Mon, 23 Mar 2015 16:51:22 -0000
