=== debian/control ===
Source: ros-indigo-household-objects-database
Section: misc
Priority: extra
Maintainer: Matei Ciocarlie <matei.ciocarlie@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-household-objects-database-msgs, ros-indigo-manipulation-msgs, ros-indigo-roscpp, ros-indigo-sql-database, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-household-objects-database
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-household-objects-database-msgs, ros-indigo-manipulation-msgs, ros-indigo-roscpp, ros-indigo-rosgraph, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-rosservice, ros-indigo-sql-database
Description: Class definitions and a few convenience functions for interfacing with a specific SQL database, containing 3D models of a set of common household objects.
